# Class NullQuorumAuthLearner

java.lang.Object
org.apache.zookeeper.server.quorum.auth.NullQuorumAuthLearner

All Implemented Interfaces:
  `QuorumAuthLearner`

public class NullQuorumAuthLearner extends Object implements QuorumAuthLearner
This class represents no authentication learner, it just return without performing any authentication.

## Constructor Summary

Constructors
Constructor
Description
`NullQuorumAuthLearner()`

## Method Summary

Modifier and Type
Method
Description
`void`
`authenticate(Socket sock, String hostname)`
Performs an authentication step for the given socket connection.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NullQuorumAuthLearner

public NullQuorumAuthLearner()

## Method Details

### authenticate

public void authenticate(Socket sock, String hostname)
Description copied from interface: `QuorumAuthLearner`
Performs an authentication step for the given socket connection.

Specified by:
  `authenticate` in interface `QuorumAuthLearner`
Parameters:
  `sock` - socket connection to other quorum peer server
  `hostname` - host name of other quorum peer server